# Class JMeter

java.lang.Object
org.apache.jmeter.JMeter

All Implemented Interfaces:
  `JMeterPlugin`

public class JMeter extends Object implements JMeterPlugin
Main JMeter class; processes options and starts the GUI, non-GUI or server as appropriate.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`HTTP_PROXY_PASS`
`static final String`
`HTTP_PROXY_USER`
`static final String`
`JMETER_NON_GUI`
`static final int`
`UDP_PORT_DEFAULT`

## Constructor Summary

Constructors
Constructor
Description
`JMeter()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`convertSubTree(HashTree tree)`
Refactored from AbstractAction.java
`String[][]`
`getIconMappings()`
`String[][]`
`getResourceBundles()`
`static boolean`
`isNonGUI()`
Check if JMeter is running in non-GUI mode.
`void`
`start(String[] args)`
Takes the command line arguments and uses them to determine how to startup JMeter.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### UDP_PORT_DEFAULT

public static final int UDP_PORT_DEFAULT

See Also:
  - Constant Field Values

### HTTP_PROXY_PASS

public static final String HTTP_PROXY_PASS

See Also:
  - Constant Field Values

### HTTP_PROXY_USER

public static final String HTTP_PROXY_USER

See Also:
  - Constant Field Values

### JMETER_NON_GUI

public static final String JMETER_NON_GUI

See Also:
  - Constant Field Values

## Constructor Details

### JMeter

public JMeter()

## Method Details

### start

public void start(String[] args)
Takes the command line arguments and uses them to determine how to startup JMeter. Called reflectively by `NewDriver.main(String[])`

Parameters:
  `args` - The arguments for JMeter

### convertSubTree

public static void convertSubTree(HashTree tree)
Refactored from AbstractAction.java

Parameters:
  `tree` - The `HashTree` to convert

### getIconMappings

public String[][] getIconMappings()

Specified by:
  `getIconMappings` in interface `JMeterPlugin`

### getResourceBundles

public String[][] getResourceBundles()

Specified by:
  `getResourceBundles` in interface `JMeterPlugin`

### isNonGUI

public static boolean isNonGUI()
Check if JMeter is running in non-GUI mode.

Returns:
  true if JMeter is running in non-GUI mode.